<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/aml_info/check_msf_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>04/01/82  check_msf_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in check_msf_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry:  check_msf_:  04/01/82  check_msf_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Syntax:
<span id="L12" class="LineNr">12 </span>dcl  check_msf_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> area<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L13" class="LineNr">13 </span>call check_msf_ <span class="textRainbow_lv0_p0">(</span>dirname<span class="textRainbow_lv0_o0">,</span> ename<span class="textRainbow_lv0_o0">,</span> user_area<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>Function:  checks if a directory satisfies the rules for a properly
<span id="L17" class="LineNr">17 </span>constructed multisegment file.
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>Arguments:
<span id="L21" class="LineNr">21 </span>dirname
<span id="L22" class="LineNr">22 </span>   is the absolute pathname of the parent of the directory to be
<span id="L23" class="LineNr">23 </span>   checked for proper multisegment file format.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L24" class="LineNr">24 </span>ename
<span id="L25" class="LineNr">25 </span>   is the entryname of the directory to be checked for proper
<span id="L26" class="LineNr">26 </span>   multisegment file format.  <span class="textRainbow_lv0_p0">(</span>input<span class="textRainbow_lv0_p0">)</span>
<span id="L27" class="LineNr">27 </span>user_area
<span id="L28" class="LineNr">28 </span>   is a scratch area to be used by check_msf_.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L29" class="LineNr">29 </span>code
<span id="L30" class="LineNr">30 </span>   is set to zero if the directory passed all tests for proper format;
<span id="L31" class="LineNr">31 </span>   otherwise, it is set to error_table_$bad_ms_file.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr">32 </span>
<span id="L33" class="LineNr">33 </span>
<span id="L34" class="LineNr">34 </span>Notes: A directory is considered to be a multisegment file by this
<span id="L35" class="LineNr">35 </span>subroutine only if it satisifies all of the following conditions:
<span id="L36" class="LineNr">36 </span>
<span id="L37" class="LineNr">37 </span><span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> the directory has a non-zero bit count.
<span id="L38" class="LineNr">38 </span>
<span id="L39" class="LineNr">39 </span><span class="textRainbow_lv0_p0">(</span>2<span class="textRainbow_lv0_p0">)</span> the directory does not contain any links or directories.
<span id="L40" class="LineNr">40 </span>
<span id="L41" class="LineNr">41 </span><span class="textRainbow_lv0_p0">(</span>3<span class="textRainbow_lv0_p0">)</span> the directory contains exactly as many segments as its bit count.
<span id="L42" class="LineNr">42 </span>Each of these segments must have exactly one name which is the
<span id="L43" class="LineNr">43 </span>character string representation of a number between zero and one less
<span id="L44" class="LineNr">44 </span>than the directory's bit count, inclusive.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
